Package org.eclipse.e4.ui.css.core.impl.sac

# Class AbstractAttributeCondition

java.lang.Object
org.eclipse.e4.ui.css.core.impl.sac.AbstractAttributeCondition

All Implemented Interfaces:
  `ExtendedCondition`, `org.w3c.css.sac.AttributeCondition`, `org.w3c.css.sac.Condition`

Direct Known Subclasses:
  `CSSAttributeConditionImpl`, `CSSIdConditionImpl`, `CSSPseudoClassConditionImpl`

public abstract class AbstractAttributeCondition extends Object implements org.w3c.css.sac.AttributeCondition, ExtendedCondition
This class provides an abstract implementation of the `AttributeCondition` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`value`
The attribute value.

### Fields inherited from interface org.w3c.css.sac.Condition

`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractAttributeCondition(String value)`
Creates a new AbstractAttributeCondition object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`int`
`getSpecificity()`
Returns the specificity of this condition.
`String`
`getValue()`
SAC: Implements `AttributeCondition.getValue()`.
`int`
`hashCode()`
equal objects should have equal hashCodes.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.css.sac.AttributeCondition

`getLocalName, getNamespaceURI, getSpecified`

### Methods inherited from interface org.w3c.css.sac.Condition

`getConditionType`

### Methods inherited from interface org.eclipse.e4.ui.css.core.impl.sac.ExtendedCondition

`fillAttributeSet, match`

## Field Details

### value

protected String value
The attribute value.

## Constructor Details

### AbstractAttributeCondition

protected AbstractAttributeCondition(String value)
Creates a new AbstractAttributeCondition object.

## Method Details

### equals

public boolean equals(Object obj)
Indicates whether some other object is "equal to" this one.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare.

### hashCode

public int hashCode()
equal objects should have equal hashCodes.

Overrides:
  `hashCode` in class `Object`
Returns:
  hashCode of this AbstractAttributeCondition

### getSpecificity

public int getSpecificity()
Returns the specificity of this condition.

Specified by:
  `getSpecificity` in interface `ExtendedCondition`

### getValue

public String getValue()
SAC: Implements `AttributeCondition.getValue()`.

Specified by:
  `getValue` in interface `org.w3c.css.sac.AttributeCondition`